Skip to content
View as Markdown

PUT Update Company Note​

PUT
/companies/{id}/notes/{note_id}

Update an existing note on a company. Only the title, description, type, and created_at fields can be updated. Fires the fluent_crm/company_note_updated action hook after the update.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The company ID.

Type
integer
Required
note_id*

The note ID to update.

Type
integer
Required

Request Body​

application/json
JSON
{
"note": {
"title": "string",
"description": "string",
"type": "string",
"created_at": "string"
}
}

Responses​

Note updated successfully.

application/json
JSON
{
"note": {
"id": 0,
"subscriber_id": 0,
"title": "string",
"description": "string",
"type": "string",
"created_at": "string",
"updated_at": "string",
"added_by": "string"
},
"message": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI